curl --request GET \
--url https://api.pandaprobe.com/evaluations/session-runs \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"metric_names": [
"<string>"
],
"total_traces": 123,
"evaluated_count": 123,
"failed_count": 123,
"created_at": "<string>",
"completed_at": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_type": "<string>",
"filters": {},
"sampling_rate": 123,
"model": "<string>",
"monitor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}List session eval runs.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
curl --request GET \
--url https://api.pandaprobe.com/evaluations/session-runs \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "PENDING",
"metric_names": [
"<string>"
],
"total_traces": 123,
"evaluated_count": 123,
"failed_count": 123,
"created_at": "<string>",
"completed_at": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_type": "<string>",
"filters": {},
"sampling_rate": 123,
"model": "<string>",
"monitor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Lifecycle status of an evaluation job.
PENDING, RUNNING, COMPLETED, FAILED 1 <= x <= 200x >= 0